light-mode.css

/* GENERAL */

html {
    background-color: #edeff3;
    color: #1a1a1a;
    font-family: 'Helvetica', cursive;
}

.dark-mode html {
    background-color: #1a1a1a;
    color: #edeff3;
    font-family: 'Helvetica', cursive;
}

body {
    background-color: #edeff3;
    color: #1a1a1a; 
    font-family: 'Helvetica', cursive;
}

.dark-mode body {
    background-color: #1a1a1a;
    color: #edeff3;
    font-family: 'Helvetica', cursive;
}

h1 {
    background-color: #edeff3;
    text-align: center;
}

p {
    display: flex;
    justify-content: center;
}

.dark-mode h1 {
    background-color: #1a1a1a;
    color: #edeff3;
    text-align: center;
}

button {
    color: white;
    border: 1px solid #ccc;
    border-top-color: #ffffff; /* lighter top */
    border-left-color: #ffffff;
    border-right-color: #999999; /* darker sides */
    border-bottom-color: #999999;
    border-radius: 5px;
    cursor: pointer;
}


/* NAVBAR */

.header-nav {
    background: linear-gradient(to right, #edeff3, #007BFF);
    color: #000;
    flex: 1;
    display: flex;
    align-items: center;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

.header-content {
    width: 100%;
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-logo {
    width: 179px;
    height: 38px;
    background-size: contain;
    background-position: left top;
}

.header-controls {
    display: flex;
    align-items: center;
}

.header-controls a {
    color: #000;
    text-decoration: none;
    margin-left: 20px;
    transition: all 0.3s ease;
}

.header-controls .logout-button,
.header-controls .register-button,
.header-controls .linkmgmt-button,
.header-controls .files-button {
    display: flex;
    padding: 8px 16px;
    background-color: #007bff;
    color: #edeff3;
    text-decoration: none;
    margin-left: 10px;
    border-radius: 15px;
    transition: background-color 0.3s ease;
    align-items: center;
    justify-content: center;
}

/* Marge pour le dernier boutton */
.header-controls .logout-button {
    margin-right: 10px;
}

.logout-button:hover,
.register-button:hover,
.linkmgmt-button:hover,
.files-button:hover {
    background-color: #0056b3;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}


/* SLIDER DARK-MODE */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
    margin: 20px 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: all 0.4s ease;
    border-radius: 34px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: all 0.4s ease;
    border-radius: 50%;
}

input:checked + .slider {
    background-color: #1a1a1a;
}

input:checked + .slider:before {
    transform: translateX(26px);
}

/* LOGIN BOX */
.login-box {
    background-color: #f2f5f7;
    padding: 20px;
    width: 400px;
    margin: 0 auto;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.dark-mode .login-box {
    background-color: #262626;
    color: #edeff3;
    padding: 20px;
    width: 400px;
    margin: 0 auto;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.login-box h1 {
    margin-top: 0;
    color: #1a1a1a;
}

.login-box label {
    display: block;
    margin-bottom: 5px;
    margin-top: 5px;
    font-weight: bold;
    width: 400px;
    text-align: center;
}

.login-box input[type="text"],
.login-box input[type="password"] {
    width: 80%;
    padding: 10px;
    margin: 5px auto;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    text-align: center;
}

.login-box button {
    width: 80%;
    background-color: #007BFF;
    color: white;
    padding: 8px 15px;
    border-radius: 15px;
    cursor: pointer;
    font-size: 16px;
}

.login-box button:hover {
    background-color: #0056b3;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

#showPasswordCheckbox {
    width: 15px;
    height: 15px;
    border: 1px solid #ccc;
    background-color: #fff;
}

#showPasswordCheckbox:checked {
    background-color: #4CAF50;
    transition: background-color 0.3s ease;
}

#showPasswordCheckbox:focus {
    outline: none;
    box-shadow: 0 0 0 2px rgba(76, 175, 80, 0.3);
}

.register-box erreur-box {
    background-color: #f2f5f7;
    padding: 5px;
    width: 500px;
    margin: 0 auto;
    text-align: center;
    display: flex;
    justify-content: space-between;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.register-box,
.reset-box,
.delete-box {
    display: flex;
    flex-direction: column;
    background-color: #f2f5f7;
    padding: 20px;
    width: 700px;
    margin: 0 auto;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.dark-mode .register-box,
.dark-mode .reset-box,
.dark-mode .delete-box {
    background-color: #262626;
    color: #edeff3;
    padding: 20px;
    width: 700px;
    margin: 0 auto;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.register-box label,
.reset-box label,
.delete-box label {
    clear: left;
    margin-bottom: 5px;
    margin-top: 5px;
    font-weight: bold;
    width: 240px;
    text-align: left;
}

.dark-mode .register-box label {
    clear: left;
    margin-bottom: 5px;
    margin-top: 5px;
    font-weight: bold;
    width: 240px;
    text-align: left;
}

.register-box .input-group label,
.reset-box .input-group label,
.delete-box .input-group label {
    display: inline-block;
    margin-bottom: 5px;
    margin-top: 5px;
    margin-right: 15px;
    text-align: right;

}

.register-box input[type="text"], .register-box input[type="password"],
.reset-box input[type="text"], .reset-box input[type="password"],
.delete-box input[type="text"] {
    padding: 3px;
    margin: 5px auto;
    border-radius: 5px;
    font-size: 16px;
    text-align: left;
    width: 60%;
}

.register-box select {
    text-align: center;
}

.register-box button,
.reset-box button {
    background-color: #007bff;
    width: 300px;
    color: #edeff3;
    padding: 8px 15px;
    border-radius: 15px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s ease;
    margin-top: 20px;
    display: flex;
    justify-content: center;
    margin-inline: auto;
}

.register-box button:hover,
.reset-box button:hover {
    background-color: #0056b3;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.delete-box button {
    background-color: red;
    width: 300px;
    color: #edeff3;
    padding: 8px 15px;
    border-radius: 15px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s ease;
    margin-top: 20px;
    display: flex;
    justify-content: center;
    margin-inline: auto;
}

.delete-box button:hover {
    background-color: #c21616;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.delete-single-button {
    background: none;
    border: none;
    padding: 0 5px;
    cursor: pointer;
}

.center-note {
    text-align: center;
    font-style: italic; /* Optional: gives a subtle style */
    margin-bottom: 10px;
    margin-top: 0px;
}

.error-message {
    text-align: center;
    margin-bottom: 10px;
    margin-top: 10px;
    color: red;
}

.success-message {
    text-align: center;
    margin-bottom: 10px;
    margin-top: 10px;
    color: green;
}


/* FICHIERS */

.fichiers-box {
    max-width: 90%;
    margin: 0 auto;
}

.fichiers-box p {
    display: flex;
    justify-content: center;
    font-size: 15pt;
}

.status-message {
    display: flex;
    color : red;
    padding-bottom: 10px;
    margin-top: 10px;
}

.fichiers-list {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.directory-item {
    display: flex;
    align-items: center;
    gap: 5px;
}

.directory-item img {
    width: 20px;
    height: 20px;
}

.dark-mode .directory-item img {
    width: 25px;
    height: 25px;
    filter: invert(1);
}

.download-button {
    margin-left: 10px;
    padding: 4px 12px;
    font-size: 0.9em;
    background-color: #007bff;
    color: white;
    text-decoration: none;
    border-radius: 10px;
    transition: background-color 0.2s ease;
}

.download-button:hover {
    background-color: #0056b3;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

/* AFFICHAGE DES FICHIERS EN ARBORESCENCE
pour les admins */
.depth-0 { padding-left: 0px; 
	   font-size: 15pt;
	 }
.depth-1 { padding-left: 20px; }
.depth-2 { padding-left: 40px; }
.depth-3 { padding-left: 60px; }
.depth-4 { padding-left: 80px; }
.depth-5 { padding-left: 100px; }

/* Pour les utilisateurs */
body.user .depth-0 {
    padding-left: 0px;
    font-size: 12pt;
}

body.user .depth-1,
body.user .depth-2,
body.user .depth-3,
body.user .depth-4,
body.user .depth-5 {
    padding-left: 10px; /* minimal indentation */
}

img[src*="img/folder-icon.png"] {
    width: 25px;
    height: 25px;
    border: none;
    background: transparent;
    box-shadow: none;
}

img[src*="img/file-icon.png"] {
    width: 20px;
    height: 20px;
    border: none;
    background: transparent;
    box-shadow: none;
}
.dark-mode img[src*="img/file-icon.png"] {
    width: 20px;
    height: 20px;
    border: none;
    background: transparent;
    box-shadow: none;
    filter: invert(1);
}

.delete-button {
    display: flex;
    width: 15%;
    padding: 8px 16px;
    background-color: red;
    color: #edeff3;
    text-decoration: none;
    margin-right: 10px;
    margin-left: 10px;
    margin-top:10px;
    border-radius: 15px;
    transition: background-color 0.3s ease;
    align-items: center;
    justify-content: center;
}

.delete-button:hover {
    background-color: #c21616;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

input[type="checkbox"].delete-checkbox:checked {
    accent-color: red;
}

.file-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ccc;
    padding: 5px 10px;
}

.file-name-group {
    display: flex;
    align-items: center;
    gap: 8px;
    flex: 1;
    min-width: 0;
    overflow: hidden;
}

.file-name {
    font-weight: 500;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.file-actions {
    display: flex;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
}

.file-size {
    min-width: 80px;
    text-align: right;
    font-size: 0.9em;
    color: #444;
}

.dark-mode .file-size {
    min-width: 80px;
    text-align: right;
    font-size: 0.9em;
    color: #d6d6d6;
}

.link-duration {
    width: 50px;
    padding: 2px 4px;
    font-size: 0.9em;
}

.trash-icon-form {
    margin: 0;
}

.trash-icon {
    width: 20px;
    height: 20px;
    stroke: #fff;
    transition: stroke 0.3s;
}

.trash-icon:hover {
    stroke: red;
}

img[src*="img/trash.png"] {
    width: 19px;
    height: 19px;
    border: none;
    background: transparent;
    box-shadow: none;
}

img[src*="img/trash.svg"] {
    width: 25px;
    height: 25px;
    border: none;
    background: transparent;
    box-shadow: none;
}

.dark-mode img[src*="img/trash.svg"] {
    width: 25px;
    height: 25px;
    border: none;
    background: transparent;
    box-shadow: none;
    filter: invert(1);
}

.trash-button {
    width: 25px;
    height: 25px;
    padding: 0;
    border: none;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}


/* UPLOAD MENU */

.upload-menu {
    border: 1px solid #ccc;
    background-color: #f2f5f7;
    padding: 10px;
    margin: 20px auto;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    max-width: 700px;
    width: 100%;
    text-align: left;
}

.dark-mode .upload-menu {
    border: 1px solid #ccc;
    background-color: #393939;
    padding: 10px;
    margin: 20px auto;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    max-width: 700px;
    width: 100%;
    text-align: left;
}

.upload-menu h3 {
    margin-top: 0;
    font-size: 1.2em;
    border-bottom: 1px solid #ddd;
    padding-bottom: 5px;
    user-select: none;
}

.upload-menu form input[type="file"] {
    flex: 1;
    width: auto; /* override the 100% width */
    box-sizing: border-box;
}

.upload-menu form select {
    width: auto;
    min-width: 200px;
    max-width: 100%;
    box-sizing: border-box;
}

.upload-menu form label {
    flex: 0 0 auto;
    width: 200px;
    justify-content: right;
    display: flex;
}

/* Center the button block */
.upload-menu form div {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
}

.upload-menu form div:last-child {
    width: 100%;
    display: block;
    text-align: center;    
}

.upload-menu h3:hover {
    color: #0077cc;
}

.upload-button {
    padding: 8px 30px;
    font-weight: bold;
    cursor: pointer;
    display: block;
    text-align: center;
    margin: 0 auto;
    background-color: #00ea00;
    border-radius: 9px;
}

.upload-button:hover {
    background-color: #00bb03;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

/* Wrapper with transition */
.upload-form-wrapper {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease;
}

/* When open */
.upload-form-wrapper.open {
    max-height: 1000px; /* large enough to fit contents */
}

/* Arrow rotation */
.arrow {
    display: inline-block;
    transition: transform 0.3s ease;
}

.arrow.rotated {
    transform: rotate(90deg);
}

/* Barre de progression */

.progress-container {
    position: relative;
    width: 100%;
    margin-top: 10px;
    height: 20px;
}

#upload-percentage {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
    line-height: 20px;
    font-weight: bold;
    color: black;
    pointer-events: none;
}

/* Progress bar base */
#upload-progress {
    width: 100%;
    height: 20px;
    border-radius: 10px;
    background-color: #e0e0e0;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.2);
    overflow: hidden;
}

/* Progress value - WebKit */
#upload-progress::-webkit-progress-value {
    background-color: #00c800;
    transition: width 0.3s ease;
}

/* Progress value - Firefox */
#upload-progress::-moz-progress-bar {
    background-color: #00c800;
    transition: width 0.3s ease;
}

/* Dark mode */
.dark-mode #upload-progress {
    background-color: #333;
}

.dark-mode #upload-progress::-webkit-progress-value,
.dark-mode #upload-progress::-moz-progress-bar {
    background-color: #00ff00;
}

/*GESTION DES LIENS PUBIQUES */

.link-mgmt-box {
    max-width: 90%;
    margin: 0px auto;
    padding: 20px;
    background: #f9f9f9;
    border: 1px solid #ccc;
    border-radius: 12px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.05);
}

.dark-mode .link-mgmt-box {
    max-width: 90%;
    margin: 0px auto;
    padding: 20px;
    background-color: #1a1a1a;
    border: 1px solid #ccc;
    border-radius: 12px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.05);
}

.link-mgmt-box table {
    width: 100%;
    border-collapse: collapse;
}

.link-mgmt-box th,
.link-mgmt-box td {
    padding: 10px;
    border-bottom: 1px solid #ddd;
    text-align: center;
}

.link-mgmt-box th {
    background-color: #f0f0f0;
}

.dark-mode .link-mgmt-box th {
    background-color: #262626;
}

.usage-count {
    text-align: center;
}

.link-delete-button {
    padding: 8px 16px;
    background-color: red;
    color: #edeff3;
    text-decoration: none;
    border-radius: 15px;
    transition: background-color 0.3s ease;
}

.link-delete-button:hover {
    background-color: #c21616;
    transform: translateY(-1px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.message {
    text-align: center;
    margin-bottom: 10px;
    margin-top: 10px;
    color: green;
}

.generate-link-form {
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.expires-picker {
    width: 220px;
}

.generate-button {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 6px 12px;
    cursor: pointer;
    border-radius: 5px;
}

.generate-button:hover {
    background-color: #45a049;
}

.link-popup-wrapper {
    position: relative;
    display: inline-block;
}

.link-toggle-button {
    width: 25px;
    height: 25px;
    padding: 0;
    border: none;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.dark-mode .link-toggle-button {
    width: 20px;
    height: 20px;
    padding: 0pu;
    background: none;
    border: none;
    cursor: pointer;
    filter: invert(1);
}

.public-link-popup {
    position: absolute;
    top: 25px;
    right: 0;
    z-index: 1000;
    background: #f2f2f2;
    padding: 10px;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 8px rgba(0,0,0,0.2);
    width: 250px;
    max-width: 90vw;
    box-sizing: border-box;
    border-radius: 8px;
}

.dark-mode .public-link-popup {
    position: absolute;
    top: 25px;
    right: 0;
    z-index: 1000;
    background: #262626;
    padding: 10px;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 8px rgba(0,0,0,0.2);
    width: 250px;
    max-width: 90vw;
    box-sizing: border-box;
    border-radius: 8px;
}

.public-link-form {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.public-link-form input,
.public-link-form label {
    font-size: 14px;
    width: 200px;
}

.link-submit-button {
    display: flex;
    padding: 8px 16px;
    background-color: #007bff;
    color: #edeff3;
    text-decoration: none;
    border-radius: 15px;
    transition: background-color 0.3s ease;
    align-items: center;
    justify-content: center;
}

.checkbox-wrapper {
    display: flex;
    align-items: center;
    gap: 5px;
    margin-top: 3px;
}
